Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a lead

Scope: crm:deals.read https://api.alladdin.com/api/v2/leads/{leadId}

Returns a single lead by its ID.

Parameters

Path parameters

leadId string required

Lead ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/leads/{leadId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "user_id": "string",
  "created_by": "string",
  "assigned_to": "string",
  "funnel_id": "string",
  "contact_id": "string",
  "contact_name": "string",
  "name": "string",
  "person_id": "string",
  "person_name": "string",
  "value": "1500.00",
  "potential": "75",
  "due_date": "string",
  "stage_id": "string",
  "created_at": "string",
  "updated_at": "string",
  "custom_fields": [
    {}
  ],
  "status": "open",
  "events": [
    {}
  ],
  "tasks": [
    {}
  ],
  "files": [
    "string"
  ]
}

Success responses

200 Lead found application/json object id string required

Unique identifier

user_id string required

Owner user ID

created_by string required

Creator user ID

assigned_to string | null required

Assigned user ID

funnel_id string required

Funnel ID

contact_id string required

Contact ID

contact_name string required

Contact name

name string required

Lead name

person_id string | null required

Person ID

person_name string | null required

Person name

value string required

Deal value as decimal string

potential string required

Deal potential as a decimal string

due_date string | null required

Due date in ISO 8601 format

stage_id string required

Current stage ID

created_at string | null required

Creation date in ISO 8601 format

updated_at string | null required

Last update date in ISO 8601 format

custom_fields[] object[] required

Custom fields

status string required

Lead status

Enum: open won lost events[] object[] required

Lead events

tasks[] object[] required

Lead tasks

files[] string[] required

Attached file IDs

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Lead not found application/json 429 Rate limit exceeded application/json

← PreviousList all leads →

Next →Delete a lead task →